Skip to content

Bulk write 'ProtectedIdentity'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
Array [
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
first_namestring or null, <= 255 characters
last_namestring or null, <= 255 characters
phone_numberstring or null, <= 36 characters'^\+?1?\d{7,15}$'
emailstring or null, (email), <= 254 characters
birth_datestring or null, (date)
ssnstring or null, (luhn), [ 12 .. 13 ] characters
previous_addressobject or null(Address)

Content Type: common.address

current_registered_addressobject or null(Address)

Content Type: common.address

future_addressobject or null(Address)

Content Type: common.address

tenantobject or null(Tenant)

Additional Validation Information:

Must be unique

This value can't bet set, when any of the following fields are set: sub_tenant

This field, or at least one of the following fields must be set: sub_tenant

sub_tenantobject or null(SubTenant)

Additional Validation Information:

Must be unique

This value can't bet set, when any of the following fields are set: tenant

This field, or at least one of the following fields must be set: tenant

]
POST
/accounts/users/customer/protectedidentity/list/
curl -i -X POST \
  https://dev.api.pigello.io/accounts/users/customer/protectedidentity/list/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '[
    {
      "organization": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "custom_id": "string",
      "first_name": "string",
      "last_name": "string",
      "phone_number": "string",
      "email": "user@example.com",
      "birth_date": "2019-08-24",
      "ssn": "stringstring",
      "previous_address": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "current_registered_address": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "future_address": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "tenant": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "sub_tenant": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      }
    }
  ]'

Responses

Successful bulk create/update

Bodyapplication/json
Array [
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
first_namestring or null, <= 255 characters
last_namestring or null, <= 255 characters
phone_numberstring or null, <= 36 characters'^\+?1?\d{7,15}$'
emailstring or null, (email), <= 254 characters
birth_datestring or null, (date)
ssnstring or null, (luhn), [ 12 .. 13 ] characters
previous_addressobject or null(Address)

Content Type: common.address

current_registered_addressobject or null(Address)

Content Type: common.address

future_addressobject or null(Address)

Content Type: common.address

tenantobject or null(Tenant)

Additional Validation Information:

Must be unique

This value can't bet set, when any of the following fields are set: sub_tenant

This field, or at least one of the following fields must be set: sub_tenant

sub_tenantobject or null(SubTenant)

Additional Validation Information:

Must be unique

This value can't bet set, when any of the following fields are set: tenant

This field, or at least one of the following fields must be set: tenant

]
Response
[ { "organization": { … }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "first_name": "string", "last_name": "string", "phone_number": "string", "email": "user@example.com", "birth_date": "2019-08-24", "ssn": "stringstring", "previous_address": { … }, "current_registered_address": { … }, "future_address": { … }, "tenant": { … }, "sub_tenant": { … } } ]